TestCCTask (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.TestCCTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class TestCCTask

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.TestCCTask

All Implemented Interfaces:
  junit.framework.Test

    public final class TestCCTask

extends junit.framework.TestCase

Tests for CCTask.

Constructor Summary
`TestCCTask(java.lang.String name)` Constructor.

Method Summary
`void` | `testAntlibXmlPresent()` Test checks for the presence of antlib.xml.
`void` | `testGetFailOnError()` Tests that the default value of failonerror is true.
`void` | `testGetTargetsToBuildByConfiguration1()` Test that a target with no existing object file is returned by getTargetsToBuildByConfiguration.
`void` | `testGetTargetsToBuildByConfiguration2()` Test that a target that is up to date is not returned by getTargetsToBuildByConfiguration.
`void` | `testSetFailOnError()` Tests that setting failonerror is effective.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestCCTask

    public TestCCTask(java.lang.String name)

  Constructor.

  Parameters:
    `name` - test name

Method Detail

### testGetTargetsToBuildByConfiguration1

    public void testGetTargetsToBuildByConfiguration1()

  Test that a target with no existing object file is returned by getTargetsToBuildByConfiguration.

### testGetTargetsToBuildByConfiguration2

    public void testGetTargetsToBuildByConfiguration2()

  Test that a target that is up to date is not returned by getTargetsToBuildByConfiguration.

### testGetFailOnError

    public void testGetFailOnError()

  Tests that the default value of failonerror is true.

### testSetFailOnError

    public void testSetFailOnError()

  Tests that setting failonerror is effective.

### testAntlibXmlPresent

    public void testAntlibXmlPresent()
                              throws java.io.IOException

  Test checks for the presence of antlib.xml.

  Throws:
    `java.io.IOException` - if stream can't be closed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.